ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
ome::files::detail::WriterProperties Struct Reference

Properties specific to a particular writer. More...

`#include <ome/files/detail/FormatWriter.h>`

Collaboration diagram for ome::files::detail::WriterProperties:
[legend]

## Public Types
typedef std::map< std::string, std::set< ome::xml::model::enums::PixelType > > | codec_pixel_type_map
| Map of codec to pixel types.

## Public Member Functions
| WriterProperties (const std::string &name, const std::string &description)
| Constructor. More...

## Public Attributes
std::string | name
| Format name.
std::string | description
| Format description.
std::vector< boost::filesystem::path > | suffixes
| Filename suffixes this format can handle.
std::vector< boost::filesystem::path > | compression_suffixes
| Filename compression suffixes this format can handle.
std::set< std::string > | compression_types
| Supported compression types.
codec_pixel_type_map | codec_pixel_types
| Supported pixel types.
bool | stacks
| Stacks are supported.

## Detailed Description

Properties specific to a particular writer.

## Constructor & Destructor Documentation

ome::files::detail::WriterProperties::WriterProperties | ( | const std::string & | name,
|  | const std::string & | description
| ) |  |
| inline

Constructor.

Parameters

  name | the format name.
  description | a short description of the format.

The documentation for this struct was generated from the following file:

- ome/files/detail/FormatWriter.h